GNU bug report logs - #22642
24.5; Double import on completion in python mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: vsuharnikov@HIDDEN; merged with #22638, #22641, #22643; dated Fri, 12 Feb 2016 16:33:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 22638 22641 22642 22643. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 22641 22642 22643. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2016 16:32:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 12 11:32:27 2016
Received: from localhost ([127.0.0.1]:38147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aUGdu-0004Ia-Q2
	for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 11:32:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:35983)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aUGdt-0004IA-JF
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 11:32:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aUGdn-0003w6-E4
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 11:32:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50,DATE_IN_PAST_12_24,
 FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50656)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aUGdn-0003vx-BL
 for submit <at> debbugs.gnu.org; Fri, 12 Feb 2016 11:32:19 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55140)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aUGdl-0005Uc-M6
 for bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2016 11:32:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aUGdh-0003sL-KN
 for bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2016 11:32:17 -0500
Received: from mail-lb0-x22f.google.com ([2a00:1450:4010:c04::22f]:34345)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vsuharnikov@HIDDEN>) id 1aUGdh-0003rZ-7F
 for bug-gnu-emacs@HIDDEN; Fri, 12 Feb 2016 11:32:13 -0500
Received: by mail-lb0-x22f.google.com with SMTP id aj3so935811lbd.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 12 Feb 2016 08:32:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:user-agent:mime-version
 :content-transfer-encoding:content-type;
 bh=+570d8SwaqtEUwYzs9lrWIG4g9vtig0uIgHql5ngrTQ=;
 b=wV4cMGkbgTYsw5zQ4sJ7QkMFQ+OUIzdqRDJHkKjUQu3g55UlUViUR3HjK2DnomRHBB
 ET0Daf4AtPy4DDsPIKra6vTqfrnU1jAkX6HGQHxi5ByF6SZS6kztKHYOgtmE7QmbqKcx
 yPTRm/74EvYW/vvIW65qWexyn2o6yKAIql0IucP4VD2yvQAqthko0qd43hOUB7rGpGLN
 SCfqKB9IP44pfGQ8C3qmRuuL56RPoNvaaMK94XDjr3m3VhYNIXqrBjxJ6mdHofet1EuG
 pLEow7NAWXLHFwMG1jMBjq/nbiNIVx1rdTpAt2GPTTW3/CcGIymDHXRE7OrGU9rCEx8r
 Vemg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version:content-transfer-encoding:content-type;
 bh=+570d8SwaqtEUwYzs9lrWIG4g9vtig0uIgHql5ngrTQ=;
 b=VvIxJ8mnUHYMhQRT8HM12V7MzdjFg+GRlCpQRbfTIS4CHEjJHPa4ogageVDrp34ql5
 MUMFLvpfRtM8mOPVcjWpou/PD/sY3NPaGte5PSWAQC/4mE4l2OIyck6rq/SCwHl3qkh+
 shG6b3SB6NUx/9/8hrTK4EHlBezLxJ++VI7OhUN0jMyZies84iU1dUJa8pLEmP/NQgvT
 p71RsB5Gp6TVFiyYnz07BcGbx6uNKwIx0bc1lHKJ7mRxWIzVV4uG83vYWOdf6kLt5AQs
 INlDSlFpl84VxtV5g8cYfeBeu06oxcql2pgL/3ruqflbojDBMEtwhN9bmYe2uAHP05Oi
 BYGA==
X-Gm-Message-State: AG10YOSL4jLi4V6/whGKaxyy62Tt7XXRxMefAsQhkmHfJpukD+6Y9DLr042O73tfV7OMag==
X-Received: by 10.112.129.233 with SMTP id nz9mr1036627lbb.82.1455294732174;
 Fri, 12 Feb 2016 08:32:12 -0800 (PST)
Received: from fort_dey.localnet (95-183-89-55.dynvpn.flex.ru. [95.183.89.55])
 by smtp.gmail.com with ESMTPSA id
 th4sm1994304lbb.46.2016.02.12.08.32.10 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1/SSLv3 cipher=OTHER);
 Fri, 12 Feb 2016 08:32:10 -0800 (PST)
From: vsuharnikov@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 24.5; Double import on completion in python mode
Date: Fri, 12 Feb 2016 05:00:29 +0300
Message-ID: <45503301.zR940G1Jj5@fort_dey>
User-Agent: KMail/4.14.10 (Linux/4.3.3-gentoo; KDE/4.14.16; x86_64; ; )
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.2 (---)

Steps for reproduce:
* start emacs: emacs -Q
* create an empty python buffer: C-x b foo.py RET
* turn on python mode: M-x python-mode RET
* start interpreter: C-c C-z (python-shell-switch-to-shell) and answer the 
prompts (I pressed RET n)
* switch back to python buffer: C-x o (other-window)
* type "from os import " (there is a space after "import")
* press C-M-i (completion-at-point)

Observed behaviour: "import " is inserted in the buffer. The buffer now 
contains "from os import import ".
Expected behaviour: completion-at-point offers names from the os module 
as completion candidates.



In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.29)
 of 2016-01-26 on fort_dey
Windowing system distributor `The X.Org Foundation', version 11.0.11800000
System Description:	Gentoo Base System release 2.2

Configured using:
 `configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --disable-dependency-tracking
 --disable-silent-rules --libdir=/usr/lib64 --program-suffix=-emacs-24
 --infodir=/usr/share/info/emacs-24 --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --with-gameuser=:gamestat --without-compress-install
 --with-file-notification=inotify --enable-acl --with-dbus
 --without-gnutls --with-gpm --without-hesiod --without-kerberos
 --without-kerberos5 --without-xml2 --without-selinux --without-wide-int
 --with-zlib --with-sound=alsa --with-x --without-ns --without-gconf
 --without-gsettings --without-toolkit-scroll-bars --with-gif
 --with-jpeg --with-png --with-rsvg --with-tiff --with-xpm
 --without-imagemagick --with-xft --without-libotf --without-m17n-flt
 --with-x-toolkit=gtk2 GENTOO_PACKAGE=app-editors/emacs-24.5-r1
 'CFLAGS=-march=native -O2 -pipe -nopie' CPPFLAGS= 'LDFLAGS=-Wl,-O1
 -Wl,--as-needed''

Important settings:
  value of $LC_ALL: 
  value of $LANG: ru_RU.utf8
  locale-coding-system: utf-8-unix

Major mode: Python

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
C-x C-g is undefined
Quit [3 times]
Make dedicated process? (y or n) n
Sent python-shell-completion-setup-code
Sent python-ffap-setup-code
Sent python-eldoc-setup-code
No match
Making completion list...
Quit
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils compile cl-extra help-mode python
easymenu json comint ring cl-loaddefs cl-lib ansi-color time-date
cyril-util tooltip electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode prog-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind inotify dynamic-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 86333 7207)
 (symbols 48 18744 0)
 (miscs 40 59 199)
 (strings 32 12885 4754)
 (string-bytes 1 391566)
 (vectors 16 10730)
 (vector-slots 8 400620 7751)
 (floats 8 69 423)
 (intervals 56 343 0)
 (buffers 960 14)
 (heap 1024 13190 827))




Acknowledgement sent to vsuharnikov@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22642; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 12 Feb 2016 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.